Bug 502953 - kdm switches manually selected session after entering userid
kdm switches manually selected session after entering userid
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-05-27 18:07 EDT by gene smith
Modified: 2009-07-18 16:32 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.2.3-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-18 16:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194506 None None None Never

  None (edit)
Description gene smith 2009-05-27 18:07:02 EDT
Description of problem:
When KDM is set to be your login screen only kde is run no matter what is selected.

Version-Release number of selected component (if applicable):
KDE 4.2.3

How reproducible:

Steps to Reproduce:
1. Arrive at KDM login screen
2. Select gnome or anything else to run
3. Complete entry of username/pwd
4. KDE runs
Actual results:
ONLY kde run

Expected results:
Selected thing should run, e.g., Gnome

Additional info:
To get gnome to run after selecting gnome in KDM, I have to open a console (full screen) and then startx. Only then does gnome run with KDM. (I have not tried GDM.)
Comment 1 Rex Dieter 2009-05-27 18:17:03 EDT
I cannot reproduce this, it works as advertised here.
Comment 2 gene smith 2009-05-28 16:06:00 EDT
OK, here's the problem. If you last ran KDE and want to run Gnome, then at the kdm entry screen you *first* choose session type Gnome and then enter your user name and look again at the session type, you see that it has reverted to KDE. If you change it back to Gnome at this point and then go ahead and enter your password, you are OK.

The problem is that if you select the session type *before* you enter your user id, the session type goes back to the previous session type. You have to set the session type after you have typed in your user id. The act of entering your user ID resets the session type to the previously run session, even when you have set it to something else. Entering password does not affect it.

If kdm is set to automatically put in your user ID then this problem is not seen since you usually never type it in so the session type never gets reset. (To repeat, entering the password does not reset the session type, only the user ID.)

Also, there is no bias in KDM against running Gnome. You can get stuck in Gnome in the same way by setting the new session type before entering your user ID.

I don't know whether this is a KDE problem (upstream) or a Fedora bug. (My kubuntu9.04 installation had automatic user ID entry set so it worked OK.)
Comment 3 Rex Dieter 2009-05-28 17:15:59 EDT
Not a bug really, imo, intended behavior for the session to preselect the session used last by a user.
Comment 4 gene smith 2009-05-28 18:01:47 EDT
I guess you could look at it that way. But if I want to change my session type, that is the main thing I am thinking and do that first in kdm, then I put in my UID and password.  If I do that, I wouldn't expect it to change my selection (or at least it should tell me what it has done and that I need to re-set my selection).
Comment 5 Rex Dieter 2009-05-28 18:07:30 EDT
Understandable, that would be (usability) feedback best directed to the kde project.
Comment 6 Rex Dieter 2009-05-28 18:13:15 EDT
adjusting summary.
Comment 7 gene smith 2009-05-28 18:45:33 EDT
I can see in a truly multi-user situation that when I log off, I could then set the session to something else but never use it. Then another user logs in and runs an unexpected session for that person. That would probably be worse. (Possibly, that's what you were thinking.) So I now agree it is almost OK the way it currently works. But it had me confused for a while there.

I looked through the KDE/kdm bugs and apparently I am the only one who this is a concern to. But I will go ahead and write this up there as an issue.
Comment 8 gene smith 2009-05-28 23:43:51 EDT
Added this to KDE bug list:
Comment 9 Oswald Buddenhagen 2009-05-29 03:07:59 EDT
kdm should behave like gene expects; everything else is a bug. i was sent a patch that would break that behavior a while ago - iirc, it was a redhat guy, so no surprises here.
Comment 10 Kevin Kofler 2009-05-29 07:59:13 EDT
Ossi is right, I believe this bug is caused by Than's kdebase-workspace-4.1.80-session-button.patch.
Comment 11 Rex Dieter 2009-05-29 10:59:01 EDT
Patch purged in kdebase-workspace-4.2.3-6 (and newer), fixed builds will land with kde-4.2.4 coming soon.
Comment 12 Bug Zapper 2009-06-09 12:41:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 13 gene smith 2009-07-17 22:48:05 EDT
Seems to be fixed with today's kdm update (or possibly earlier). Can now switch sessions with the new session type selected before entering my user ID.

Note You need to log in before you can comment on or make changes to this bug.